'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-5c6771f4.js');
const appGlobals = require('./app-globals-3a1e7e63.js');

/*
 Stencil Client Patch Browser v4.13.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('visualization-component.cjs.js', document.baseURI).href));
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await appGlobals.globalScripts();
  return index.bootstrapLazy([["visualization-component.cjs",[[1,"visualization-component",{"size":[1],"showAttributes":[4,"show-attributes"],"showPrimaryLinks":[4,"show-primary-links"],"data":[1],"excludeProperties":[1,"exclude-properties"],"showDetailsOnHover":[4,"show-details-on-hover"],"showLegend":[4,"show-legend"],"configurations":[8]},null,{"data":["inputDataChanged"],"showAttributes":["showAttributesChanged"],"showPrimaryLinks":["showPrimaryLinksChanged"]}]]]], options);
});

exports.setNonce = index.setNonce;

//# sourceMappingURL=visualization-component.cjs.js.map