import { p as promiseResolve, b as bootstrapLazy } from './index-1d2c5a4e.js';
export { s as setNonce } from './index-1d2c5a4e.js';
import { g as globalScripts } from './app-globals-0f993ce5.js';

/*
 Stencil Client Patch Browser v4.13.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await globalScripts();
  return bootstrapLazy([["visualization-component",[[1,"visualization-component",{"size":[1],"showAttributes":[4,"show-attributes"],"showPrimaryLinks":[4,"show-primary-links"],"data":[1],"excludeProperties":[1,"exclude-properties"],"showDetailsOnHover":[4,"show-details-on-hover"],"showLegend":[4,"show-legend"],"configurations":[8]},null,{"data":["inputDataChanged"],"showAttributes":["showAttributesChanged"],"showPrimaryLinks":["showPrimaryLinksChanged"]}]]]], options);
});

//# sourceMappingURL=visualization-component.js.map