/**
 * Storybook configuration for the 'visualization-component' web component.
 * Defines different stories and their corresponding parameters.
 *
 */
declare const _default: {
    /**
     * Title for the Storybook category.
     *
     * @story
     * @type {string}
     */
    title: string;
    component: string;
};
export default _default;
export declare const Default: any;
export declare const ChangeConfigurationsSettings: any;
export declare const ExcludeSomeProperties: any;
export declare const EnterData: any;
/**
 * Story for the 'visualization-component' with showAttributes set to true.
 *
 * @story
 * @type {Object}
 */
export declare const HideAttributes: any;
/**
 * Story for the 'visualization-component' with showAttributes set to false.
 *
 * @story
 * @type {Object}
 */
export declare const HidePrimaryLinks: any;
export declare const HideDetailsOnHover: any;
export declare const HideLegend: any;
export declare const MidComplexityExample: any;
export declare const HighComplexityExample: any;
export declare const OntologiesDemo: any;
export declare const SingleObjectDemo: any;
export declare const MultipleObjectsDemo: any;
export declare const Demo: any;
